circle-exclamation
This documentation page is currently under development and may be updated frequently.

Bot Hooks

Get all bot webhooks

get
Authorizations
Responses
chevron-right
200

List of user's bot webhooks

application/json
BotWebhook[]Optional
get
/api/v2/webhook/bot
200

List of user's bot webhooks

Create a new bot webhook

post
Authorizations
Body
anyOptional
Responses
post
/api/v2/webhook/bot

No content

Get bot webhook by ID

get
Authorizations
Path parameters
idstringRequired
Responses
chevron-right
200

Bot webhook details

application/json
anyOptional
get
/api/v2/webhook/bot/{id}

No content

Update bot webhook

put
Authorizations
Path parameters
idstringRequired
Body
anyOptional
Responses
chevron-right
200

Bot webhook updated successfully

application/json
anyOptional
put
/api/v2/webhook/bot/{id}

No content

Delete bot webhook

delete
Authorizations
Path parameters
idstringRequired
Responses
chevron-right
200

Bot webhook deleted successfully

application/json
stringOptionalExample: Deleted
delete
/api/v2/webhook/bot/{id}

Get webhook shares

get
Authorizations
Path parameters
idstringRequired
Responses
chevron-right
200

List of webhook shares

application/json
WebhookShare[]Optional
get
/api/v2/webhook/bot/{id}/shares

Share webhook with user

post
Authorizations
Path parameters
idstringRequired
Body
anyOptional
Responses
post
/api/v2/webhook/bot/share/{id}

No content

Remove webhook share

delete
Authorizations
Path parameters
idstringRequired
Body
userIdstringRequired

User ID to unshare with

Responses
chevron-right
200

Share removed successfully

application/json
anyOptional
delete
/api/v2/webhook/bot/share/{id}

No content

Get CEX signal bots for webhook

get
Authorizations
Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
chevron-right
200

Paginated CEX signal bots

application/json
anyOptional
get
/api/v2/webhook/bot/bot/signal/{id}/cex

No content

Get DEX signal bots for webhook

get
Authorizations
Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
chevron-right
200

Paginated DEX signal bots

application/json
anyOptional
get
/api/v2/webhook/bot/bot/signal/{id}/dex

No content

Update webhook status

put
Authorizations
Path parameters
idstringRequired
Body
anyOptional
Responses
chevron-right
200

Status updated successfully

application/json
anyOptional
put
/api/v2/webhook/bot/{id}/status

No content

Get all shared webhooks for user

get
Authorizations
Responses
chevron-right
200

List of shared webhooks accessible to user

application/json
SharedWebhook[]Optional
get
/api/v2/webhook/bot/shared
200

List of shared webhooks accessible to user

Get webhooks shared with specific user

get
Authorizations
Path parameters
idstringRequired

User ID to get webhooks shared with

Responses
chevron-right
200

List of webhooks shared with specified user

application/json
SharedWebhook[]Optional
get
/api/v2/webhook/bot/shared/with/{id}

Get webhooks shared by specific user

get
Authorizations
Path parameters
idstringRequired

User ID to get webhooks shared by

Responses
chevron-right
200

List of webhooks shared by specified user

application/json
SharedWebhook[]Optional
get
/api/v2/webhook/bot/shared/by/{id}

Last updated